gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.StatusbarAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype StatusbarAccessible = StatusbarAccessible (ManagedPtr StatusbarAccessible)
- class (GObject o, IsDescendantOf StatusbarAccessible o) => IsStatusbarAccessible o
- toStatusbarAccessible :: (MonadIO m, IsStatusbarAccessible o) => o -> m StatusbarAccessible

# Exported types

newtype StatusbarAccessible Source #

Memory-managed wrapper type.

Constructors

StatusbarAccessible (ManagedPtr StatusbarAccessible) |

#### Instances

Instances details

Eq StatusbarAccessible Source # |
Instance details Defined in GI.Gtk.Objects.StatusbarAccessible Methods (==) :: StatusbarAccessible -> StatusbarAccessible -> Bool Source # (/=) :: StatusbarAccessible -> StatusbarAccessible -> Bool Source #
GObject StatusbarAccessible Source # |
Instance details Defined in GI.Gtk.Objects.StatusbarAccessible
ManagedPtrNewtype StatusbarAccessible Source # |
Instance details Defined in GI.Gtk.Objects.StatusbarAccessible Methods toManagedPtr :: StatusbarAccessible -> ManagedPtr StatusbarAccessible Source #
TypedObject StatusbarAccessible Source # |
Instance details Defined in GI.Gtk.Objects.StatusbarAccessible Methods glibType :: IO GType Source #
HasParentTypes StatusbarAccessible Source # |
Instance details Defined in GI.Gtk.Objects.StatusbarAccessible
IsGValue (Maybe StatusbarAccessible) Source # | Convert `StatusbarAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.StatusbarAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe StatusbarAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe StatusbarAccessible) Source #
type ParentTypes StatusbarAccessible Source # |
Instance details Defined in GI.Gtk.Objects.StatusbarAccessible type ParentTypes StatusbarAccessible = '[ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Component]

class (GObject o, IsDescendantOf StatusbarAccessible o) => IsStatusbarAccessible o Source #

Type class for types which can be safely cast to `StatusbarAccessible`, for instance with `toStatusbarAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf StatusbarAccessible o) => IsStatusbarAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.StatusbarAccessible

toStatusbarAccessible :: (MonadIO m, IsStatusbarAccessible o) => o -> m StatusbarAccessible Source #

Cast to `StatusbarAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getIndexInParent, getLayer, getMdiZorder, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.